org.codehaus.groovy.classgen

## Class ExtendedVerifier

- java.lang.Object
- - org.codehaus.groovy.classgen.ExtendedVerifier

All Implemented Interfaces:
  GroovyClassVisitor

    public class ExtendedVerifier
    extends java.lang.Object
    implements GroovyClassVisitor

A specialized Groovy AST visitor meant to perform additional verifications upon the current AST. Currently it does checks on annotated nodes and annotations itself.

Current limitations: - annotations on local variables are not supported

### Field Summary

Fields
`static java.lang.String` `JVM_ERROR_MESSAGE`

### Constructor Summary

Constructors
Constructor and Description
`ExtendedVerifier(SourceUnit sourceUnit)`

### Method Summary

Methods
`protected void` `addError(java.lang.String msg, ASTNode expr)`
`protected boolean` `isAnnotationCompatible()` Check if the current runtime allows Annotation usage.
`protected void` `visitAnnotations(AnnotatedNode node, int target)`
`void` `visitClass(ClassNode node)` Visit a ClassNode.
`void` `visitConstructor(ConstructorNode node)` Visit a ConstructorNode.
`void` `visitField(FieldNode node)` Visit a FieldNode.
`void` `visitGenericType(GenericsType genericsType)`
`void` `visitMethod(MethodNode node)` Visit a MethodNode.
`void` `visitProperty(PropertyNode node)` Visit a PropertyNode.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### JVM_ERROR_MESSAGE

    public static final java.lang.String JVM_ERROR_MESSAGE

See Also:
  Constant Field Values

### Constructor Detail

#### ExtendedVerifier

    public ExtendedVerifier(SourceUnit sourceUnit)

### Method Detail

#### visitClass

    public void visitClass(ClassNode node)

Description copied from interface: `GroovyClassVisitor`
Visit a ClassNode.

Specified by:
  `visitClass` in interface `GroovyClassVisitor`

#### visitField

    public void visitField(FieldNode node)

Description copied from interface: `GroovyClassVisitor`
Visit a FieldNode.

Specified by:
  `visitField` in interface `GroovyClassVisitor`

#### visitConstructor

    public void visitConstructor(ConstructorNode node)

Description copied from interface: `GroovyClassVisitor`
Visit a ConstructorNode.

Specified by:
  `visitConstructor` in interface `GroovyClassVisitor`

#### visitMethod

    public void visitMethod(MethodNode node)

Description copied from interface: `GroovyClassVisitor`
Visit a MethodNode.

Specified by:
  `visitMethod` in interface `GroovyClassVisitor`

#### visitProperty

    public void visitProperty(PropertyNode node)

Description copied from interface: `GroovyClassVisitor`
Visit a PropertyNode.

Specified by:
  `visitProperty` in interface `GroovyClassVisitor`

#### visitAnnotations

    protected void visitAnnotations(AnnotatedNode node,
                        int target)

#### isAnnotationCompatible

    protected boolean isAnnotationCompatible()

Check if the current runtime allows Annotation usage.

Returns:
  true if running on a 1.5+ runtime

#### addError

    protected void addError(java.lang.String msg,
                ASTNode expr)

#### visitGenericType

    public void visitGenericType(GenericsType genericsType)